- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_UIPMC_Connector Class Reference

UIPMC-specific Connector bridge for pluggable protocols. More...

`#include <UIPMC_Connector.h>`

Inheritance diagram for TAO_UIPMC_Connector:

[legend]
Collaboration diagram for TAO_UIPMC_Connector:

[legend]
List of all members.

## Public Member Functions
| TAO_UIPMC_Connector (CORBA::Boolean flag=0)
| Constructor.
| ~TAO_UIPMC_Connector (void)
| Destructor.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Member Functions
int | set_validate_endpoint (TAO_Endpoint *endpoint)
TAO_Transport * | make_connection (TAO::Profile_Transport_Resolver *r, TAO_Transport_Descriptor_Interface &desc, ACE_Time_Value *timeout=0)
virtual TAO_Profile * | make_profile ()
virtual int | cancel_svc_handler (TAO_Connection_Handler *svc_handler)
| Cancel the passed cvs handler from the connector.
## Private Types
typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | SvcHandlerIterator
## Private Attributes
ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | svc_handler_table_

## Detailed Description

UIPMC-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_UIPMC_Connector::SvcHandlerIterator`[private]`

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_UIPMC_Connector::TAO_UIPMC_Connector | ( | CORBA::Boolean | flag = `0` | ) |

Constructor.

TAO_UIPMC_Connector::~TAO_UIPMC_Connector | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_UIPMC_Connector::cancel_svc_handler | ( | TAO_Connection_Handler * | svc_handler | ) | `[protected, virtual]`

Cancel the passed cvs handler from the connector.

Implements TAO_Connector.

int TAO_UIPMC_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

Implements TAO_Connector.

int TAO_UIPMC_Connector::close | ( | void |  | ) | `[virtual]`

Implements TAO_Connector.

TAO_Profile * TAO_UIPMC_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

Implements TAO_Connector.

TAO_Transport * TAO_UIPMC_Connector::make_connection | ( | TAO::Profile_Transport_Resolver * | r,
|  | TAO_Transport_Descriptor_Interface & | desc,
|  | ACE_Time_Value * | timeout = `0` |
| ) |  |  | `[protected, virtual]`

Implements TAO_Connector.

TAO_Profile * TAO_UIPMC_Connector::make_profile | ( |  | ) | `[protected, virtual]`

Implements TAO_Connector.

char TAO_UIPMC_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

Implements TAO_Connector.

int TAO_UIPMC_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

Implements TAO_Connector.

int TAO_UIPMC_Connector::set_validate_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[protected, virtual]`

= More TAO_Connector methods, please check the documentation on Transport_Connector.h

Implements TAO_Connector.

## Member Data Documentation

ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_UIPMC_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_UIPMC_Connector::svc_handler_table_`[private]`

The documentation for this class was generated from the following files:

- UIPMC_Connector.h
- UIPMC_Connector.cpp